$(function(){
	var i=4,px=750,imgWidth,timer1,speed=600
	var imgnum=parseInt($(".beauty_showmidbox img").size())//当前的图片数量
	$(".beauty_showmidbox").css({width:px*imgnum+"px"})//设置beauty_showmidbox的宽度
	imgWidth=parseInt($(".beauty_showmidbox").css("width"))
	$.fn.beauty=function(){
		var j=0
		var imgI=i+1//标记当前在哪一张图片
		$(".beauty_showmidbox img").each(function(){
			j++
			if(imgI==j){
				var imgpath=$(this).attr('_src')
				$(this).attr("src",imgpath)
			}
		})
		$(this).animate({marginLeft:"-"+px*i+"px"},{queue:false,duration:speed})
	}
	$(".beauty_showleft span").click(function(){
		clearTimeout(timer1)
		i++;
		if(i>imgnum-1)
		{
			i=imgnum-1;
		}
		timer1=setTimeout('$(".beauty_showmidbox").beauty()',speed)
	})
	$(".beauty_showright span").click(function(){
		clearTimeout(timer1)
		i--
		if(i<0)
		{
			i=0;
		}
		timer1=setTimeout('$(".beauty_showmidbox").beauty()',speed)
	})
})